Bug 27525 - 'wich' instead of a 'with' in a sentence
Summary: 'wich' instead of a 'with' in a sentence
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 8132
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-22 08:35 UTC by e.betemps
Modified: 2021-02-11 21:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This patch fixes two spelling errors in the batchMod-del.tt template that is used by the batch item deletion tool in the staff interface: "wich" -> "with."
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 27525: Replace "wich" with "with" in batch delete template (2.60 KB, patch)
2021-01-22 11:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27525: Replace "wich" with "with" in batch delete template (2.65 KB, patch)
2021-01-25 03:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 27525: Replace "wich" with "with" in batch delete template (2.71 KB, patch)
2021-01-26 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description e.betemps 2021-01-22 08:35:48 UTC
Hi,


I read this sentence : "Last item for bibliographic record wich biblio-level hold on it"


I think this should be (as in 19.xx versions) : "Last item for bibliographic record with biblio-level hold on it"

This string is in the following files :
koha-tmpl/intranet-tmpl/prog/en/modules/tools/batchMod-del.tt:5
koha-tmpl/intranet-tmpl/prog/en/modules/tools/batchMod-del.tt:11 


In case you need them, here are the links in Pootle :
https://translate.koha-community.org/fr/20.05/translate/fr-FR-messages.po#unit=14490879

https://translate.koha-community.org/fr/20.11/translate/fr-FR-messages.po#unit=15323820
Comment 1 Owen Leonard 2021-01-22 11:31:56 UTC
Created attachment 115677 [details] [review]
Bug 27525: Replace "wich" with "with" in batch delete template

This patch corrects two typos: "wich" -> "with."

To test, apply the patch and check the batch delete template
(batchMod-del.tt) and confirm that the two instances of this sentence
are correct:

"Last item for bibliographic record with biblio-level hold on it"
Comment 2 David Nind 2021-01-25 03:28:12 UTC
Created attachment 115735 [details] [review]
Bug 27525: Replace "wich" with "with" in batch delete template

This patch corrects two typos: "wich" -> "with."

To test, apply the patch and check the batch delete template
(batchMod-del.tt) and confirm that the two instances of this sentence
are correct:

"Last item for bibliographic record with biblio-level hold on it"

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-01-26 19:28:20 UTC
Testing notes:
- I just reviewed the diff, rather than trying to generate the message in the staff interface
Comment 4 Katrin Fischer 2021-01-26 21:10:53 UTC
Created attachment 115837 [details] [review]
Bug 27525: Replace "wich" with "with" in batch delete template

This patch corrects two typos: "wich" -> "with."

To test, apply the patch and check the batch delete template
(batchMod-del.tt) and confirm that the two instances of this sentence
are correct:

"Last item for bibliographic record with biblio-level hold on it"

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-01-27 13:37:53 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-29 15:00:44 UTC
Pushed to 20.11.x for 20.11.03
Comment 7 Andrew Fuerste-Henry 2021-02-04 21:52:37 UTC
Pushed to 20.05.x for 20.05.09
Comment 8 Victor Grousset/tuxayo 2021-02-09 22:09:17 UTC
Missing dependencies for 19.11.x, it shouldn't be affected, no backport.

Confirmed by grepping